#ifdef __CYGWIN__
#include <windows.h>
#include <io.h>
#endif

#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <assert.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

#include "nabort.h"
#include "sio.h"

typedef enum {
  Enc_EUC,
  Enc_SJIS,
} encoding_t;


struct _guFont;
typedef struct _dcont_t {
  int  cmdline_message_mode;     /*  -c w肳Ă            */
  char **args;                   /*  IvVc̈ */

#if 0
  char *tty_name;
  int  tty_baud;
  int  tty_h;
  FILE *tty_ofp;
#else
  sio_t scont;
#endif
  int  char0;                    /* R[h1byteڂL,dkioŎgp */
  int    no_out;                 /* H8ւ̃f[^]sȂ,C̃JEĝݍs */
  int    nol;                    /* 񂾃f[^̃C */
  int    buf_left;               /* H8obt@̎c菑݉\C */

  /* ݒ蓙 */

  char   *font_dir;
  char   *font1_name;            /* 1byte codeptHg t@C (-a) */
  char   *font2_name;            /* 2byte codeptHg t@C (-k) */
  struct _guFont *font1;         /* 1byte codeptHg */
  struct _guFont *font2;         /* 2byte codeptHg */

  encoding_t encoding;           /* R[h̃GR[fBO */
  int    div;                    /* speedp[^A -sŎw  */
  int    no_scroll;              /* scrollȂ, -nIvV  */
  int    b_stdin;                /* W͂\  */
  int    b_loop;                 /* [v(-lIvV):bZ[WJԂ\ */
  int    b_rom_write;            /* romւ݂̏s (-wIvV) */

  int    b_no_rcfile;            /* rcfileǂ݂܂Ȃ */
  int    b_vertical;             /* c */
  int    b_vertical_ank;         /* pc */
  int    b_led_reverse;          /* led ]\ */
  int    cmodule;                /* LEDW[̐ 1`4 */
  int    bright;                 /* 邳 0`10 */
  
} dcont_t;

#include "guFont.h"
#include "dkio.h"
#include "write_rom.h"
#include "rcfile.h"

extern int f_v;
extern char *ver_str;


